Package org.eclipse.net4j.util.om.log

## Enum OMLogger.Level

- java.lang.Object
- - java.lang.Enum<OMLogger.Level>
  - - org.eclipse.net4j.util.om.log.OMLogger.Level

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<OMLogger.Level>`
  Enclosing interface:
    OMLogger

      public static enum OMLogger.Level
      extends java.lang.Enum<OMLogger.Level>

  Enumerates the possible severity levels of log events.
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEBUG` |
    `ERROR` |
    `INFO` |
    `WARN` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OMLogger.Level` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static OMLogger.Level[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final OMLogger.Level ERROR

    - #### WARN

          public static final OMLogger.Level WARN

    - #### INFO

          public static final OMLogger.Level INFO

    - #### DEBUG

          public static final OMLogger.Level DEBUG

  - ### Method Detail

    - #### values

          public static OMLogger.Level[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OMLogger.Level c : OMLogger.Level.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OMLogger.Level valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null